stages:
  - configure

###############################################
# Configure stage
###############################################
# Generate secrets
configure:
  stage: configure
  image: registry.gitlab.com/ldath-core/docker/python:3.10-ansible
  before_script:
    - ansible --version
  script:
    - ./gitlab-configure.sh
  artifacts:
    expire_in: 1 week
    paths:
      - secrets/*
